//#####################################################################
// Copyright 2020, Craig Schroeder.
// This file is part of PhysBAM whose distribution is governed by the license contained in the accompanying file PHYSBAM_COPYRIGHT.txt.
//#####################################################################
#include <Hybrid_Methods/Regions/REGION_ARRAY.h>
namespace PhysBAM{
//#####################################################################
// Function Read
//#####################################################################
template<int d> template<class RW> void REGION_INDEX<d>::
Read(UNTYPED_ISTREAM<RW>& input)
{
    Read_Binary_Group(input,r,i);
}
//#####################################################################
// Function Write
//#####################################################################
template<int d> template<class RW> void REGION_INDEX<d>::
Write(UNTYPED_OSTREAM<RW>& output) const
{
    Write_Binary_Group(output,r,i);
}
REGION_ARRAY_COMMON_DIM(bool,);
REGION_ARRAY_COMMON_DIM(int,);
REGION_ARRAY_COMMON_DIM(float,);
REGION_ARRAY_COMMON_DIM(double,);
COMMON_ARRAY(REGION_ID,int,);
COMMON_ARRAY(REGION_FLAT_ID,int,);
COMMON_ARRAY(REGION_INDEX<1>,int,);
COMMON_ARRAY(REGION_INDEX<2>,int,);
COMMON_ARRAY(REGION_INDEX<3>,int,);
}
